/*****************************************************************************
 * F1 Racing diteur/simulateur
 * Fichier: dialogconfig.h
 *
 * (c) Leroux philippe, 2003
 *
 *
 * This program is distributed under the terms of the GNU General Public
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ****************************************************************************/
#ifndef DIALOGCONFIG_H
#define DIALOGCONFIG_H

#include <qtabdialog.h>

class WindowCoords;
class Config;
class ColorButton;
class QSpinBox;
class QSlider;
class DialogConfig : public QTabDialog
{
Q_OBJECT
public:
	DialogConfig( QWidget* parent );

public slots:
	bool save();

private:
	void tabCollision();

private:
	Config&			config_;
	WindowCoords*	windowEditor_;
	WindowCoords*	windowSimulator_;
	ColorButton*	driverBtn_;
	ColorButton*	crossBtn_;
	ColorButton*	traceBtn_;
	QSpinBox*		spinBoxCrossSize_;
	QSlider*		sliderTimerInterval_;
};

#endif	// DIALOGCONFIG_H
