/*****************************************************************************
 * F1 Racing diteur/simulateur
 * Fichier: dialogscript.h
 *
 * (c) Leroux philippe, 2003
 *
 *
 * This program is distributed under the terms of the GNU General Public
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ****************************************************************************/
#ifndef DIALOGSCRIPT_H
#define DIALOGSCRIPT_H

#include <qdialog.h>
class Script;
class EditSelectFileWidget;
class QCheckBox;

class DialogScript : public QDialog
{
Q_OBJECT
public:
	DialogScript( Script* script, QWidget* parent,  const char* name );

private slots:
	void save();

private:
	Script*					script_;
	EditSelectFileWidget*	scriptPath_;
	EditSelectFileWidget*	scriptParams_;
	QCheckBox*				checkBoxActif_;
};
#endif	//	DIALOGSCRIPT_H

