#!/bin/sh

PATH=`pwd`
LS=/bin/ls
SED=/bin/sed
BN=/bin/basename
CAT=/bin/cat
MV=/bin/mv
HEAD=/usr/bin/head

COPYR_L1="/*****************************************************************************"
COPYR_L2=" * F1 Racing diteur/simulateur"
function addCopyright #--- $1 fichier
{
	fileName=`$BN $1`
	tmpFile=/tmp/$fileName
	echo "$COPYR_L1" > $tmpFile
	echo "$COPYR_L2" >> $tmpFile
	echo " * Fichier: $fileName" >> $tmpFile
	echo " *" >> $tmpFile
	echo " * (c) Leroux philippe, 2003" >> $tmpFile
	echo " *" >> $tmpFile
	echo " *" >> $tmpFile
	echo " * This program is distributed under the terms of the GNU General Public" >> $tmpFile
	echo " *" >> $tmpFile
	echo " * License:" >> $tmpFile
	echo " *" >> $tmpFile
	echo " * This program is free software; you can redistribute it and/or modify" >> $tmpFile
	echo " * it under the terms of the GNU General Public License as published by" >> $tmpFile
	echo " * the Free Software Foundation; either version 2 of the License, or" >> $tmpFile
	echo " * (at your option) any later version." >> $tmpFile
	echo " *" >> $tmpFile
	echo " * This program is distributed in the hope that it will be useful," >> $tmpFile
	echo " * but WITHOUT ANY WARRANTY; without even the implied warranty of" >> $tmpFile
	echo " * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the" >> $tmpFile
	echo " * GNU General Public License for more details." >> $tmpFile
	echo " *" >> $tmpFile
	echo " * You should have received a copy of the GNU General Public License" >> $tmpFile
	echo " * along with this program; if not, write to the Free Software" >> $tmpFile
	echo " * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA." >> $tmpFile
	echo " *" >> $tmpFile
	echo " ****************************************************************************/" >> $tmpFile

	$CAT $1 >> $tmpFile

	$MV -f $tmpFile $1
}

function testCopyright #--- $1 fichier
{
	fileName=$1
	LINES_2="$COPYR_L1
$COPYR_L2"
	if [ "`$HEAD -2 $fileName`" = "$LINES_2" ]; then
		echo 1
	else
		echo 0
	fi
}

function scanPath #--- $1 path
{
	for dir in `$LS $1`; do
		if [ -d $dir ]; then
			scanPath $1/$dir
		elif [ -f $1/$dir ]; then
			ext=`echo $dir | $SED 's/.*\.\(.*$\)/\1/g'`
			if [ "$ext" = "h" ] || [ "$ext" = "cpp" ]; then
				if [ `testCopyright $1/$dir` -eq 0 ]; then
					addCopyright $1/$dir
					echo "Copyright ajout  $1/$dir"
				fi
			fi
		fi
	done;
}

scanPath $PATH

